#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA677_F31E_F31J_X31J_P31J_AU2E_AU3E
unsigned int16_t F7274_GetMouseStatus(int16_t* P3557_pi_MouseX, int16_t* P3558_pi_MouseY)
{
#ifdef MEDIA699_X31J_AU2E_AU3E
        USIODATA2 L5983_;
#endif
        int16_t L4111_i_MouseButtons;


#ifdef MEDIA699_X31J_AU2E_AU3E
        USIO_14_GetMouseStatus(&L5983_);
        *P3557_pi_MouseX = L5983_.MouseX;
        *P3558_pi_MouseY = L5983_.MouseY;
        L4111_i_MouseButtons = 0;
        if (M007_GET(L5983_.MouseButtons, MASK0x0002_MOUSE_LEFT_BUTTON)) {
                L4111_i_MouseButtons = MASK0x0002_MOUSE_LEFT_BUTTON;
        }
        if (M007_GET(L5983_.MouseButtons, MASK0x0001_MOUSE_RIGHT_BUTTON)) {
                L4111_i_MouseButtons |= MASK0x0001_MOUSE_RIGHT_BUTTON;
        }
#endif
#ifdef MEDIA671_F31E_F31J_P31J
        F0706_GetMouseState(P3557_pi_MouseX, P3558_pi_MouseY, &L4111_i_MouseButtons);
#endif
        return L4111_i_MouseButtons;
}

#ifdef MEDIA674_F31E_F31J_X31J_P31J
void F7275_EmptyFunction(int16_t P3559_i_)
{
}
#endif
#endif
